Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class ImmovablesCostRecordExcelImmovables
    Inherits BaseObject

    Private _ImmovablesCostRecordExcel As ImmovablesCostRecordExcel
    Private _Immovables As Immovables
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub

    <Association("ImmovablesCostRecordExcel-ImmovablesCostRecordExcelImmovables", GetType(ImmovablesCostRecordExcel))> _
    Property ImmovablesCostRecordExcel As ImmovablesCostRecordExcel
        Get
            Return _ImmovablesCostRecordExcel
        End Get
        Set(value As ImmovablesCostRecordExcel)
            SetPropertyValue("ImmovablesCostRecordExcel", _ImmovablesCostRecordExcel, value)
        End Set
    End Property
    Property Immovables As Immovables
        Get
            Return _Immovables
        End Get
        Set(value As Immovables)
            SetPropertyValue("Immovables", _Immovables, value)
        End Set
    End Property
End Class
